## ros-one-moveit-commander 1.1.16-50jammy.20260128.2319

=== debian/changelog ===
ros-one-moveit-commander (1.1.16-50jammy.20260128.2319) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Wed, 28 Jan 2026 23:19:17 +0000

ros-one-moveit-commander (1.1.16-0jammy) jammy; urgency=high

  * Fix type error
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-commander (1.1.15-0jammy) jammy; urgency=high

  * New implementation for computeCartesianPath (#3618 <https://github.com/ros-planning/moveit/issues/3618>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-commander (1.1.14-0jammy) jammy; urgency=high

  * Fixed order of return values in doc string of compute_cartesian_path() (#3574 <https://github.com/ros-planning/moveit/issues/3574>)
  * Augment Python PlanningSceneInterface API (#3534 <https://github.com/ros-planning/moveit/issues/3534>)
  * Add PlanningSceneInterface::clear() (#3512 <https://github.com/ros-planning/moveit/issues/3512>)
  * Contributors: Aaryan Murgunde, IrvingF7, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-commander (1.1.13-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-commander (1.1.12-0jammy) jammy; urgency=high

  * Rename argument of execute() to trajectory (#3392 <https://github.com/ros-planning/moveit/issues/3392>)
  * Disentangle joint name methods, add group_state (#3345 <https://github.com/ros-planning/moveit/issues/3345>)
  * Fix plan() and add corresponding unit tests (#3302 <https://github.com/ros-planning/moveit/issues/3302>)
  * Contributors: Michael Görner, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-commander (1.1.11-0jammy) jammy; urgency=high

  * Fix some consistency issues in PlanningScene handling (#3298 <https://github.com/ros-planning/moveit/issues/3298>)
    
      * Allow Plane collision-object creation from rviz
      * Allow to create cone collision-object from python PSI
      * rviz: Visualize PLANE shapes as a large, thin box
    
  * Merge fixes+improvements to ``PlanningScene`` editing in rviz: #3263 <https://github.com/ros-planning/moveit/issues/3263>, #3264 <https://github.com/ros-planning/moveit/issues/3264>, #3296 <https://github.com/ros-planning/moveit/issues/3296>
  * ``moveit_commander.PlanningSceneInterface``: use synchronous interface by default
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-commander (1.1.10-0jammy) jammy; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * Validate JointState argument to moveit_commander.set_joint_value_target (#3187 <https://github.com/ros-planning/moveit/issues/3187>)
  * Adjust python PSI to new CollisionObject.pose interface (#3176 <https://github.com/ros-planning/moveit/issues/3176>)
  * moveit_commander: make current joint state copy-paste-able (#3133 <https://github.com/ros-planning/moveit/issues/3133>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Filip Sund, Michael Görner, Stephanie Eng

 -- Michael Görner <me@v4hn.de>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-commander (1.1.9-0jammy) jammy; urgency=high

  * Fix move_group_commander.go(tuple(...)) (#3066 <https://github.com/ros-planning/moveit/issues/3066>)
  * Contributors: Hongzhuo Liang, Michael Görner

 -- Michael Görner <me@v4hn.de>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-commander (1.1.8-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-commander (1.1.7-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-commander (1.1.6-0jammy) jammy; urgency=high

  * Use relative imports (#2912 <https://github.com/ros-planning/moveit/issues/2912>)
  * Fix trajectory constraints (#2429 <https://github.com/ros-planning/moveit/issues/2429>)
  * Fix ``get_planning_pipeline_id`` in Python MGI (#2753 <https://github.com/ros-planning/moveit/issues/2753>)
  * Contributors: Felix von Drigalski, Kevin Chang, Michael Görner, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-commander (1.1.5-0jammy) jammy; urgency=high

  * Allow selecting planning pipeline in MotionSequenceAction (#2657 <https://github.com/ros-planning/moveit/issues/2657>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-commander (1.1.4-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-commander (1.1.3-0jammy) jammy; urgency=high

  * Add planning_pipeline_id setting to Python MGI (#2622 <https://github.com/ros-planning/moveit/issues/2622>)
  * Add clear() to Python PSI, allow empty call to remove_attached_object (#2609 <https://github.com/ros-planning/moveit/issues/2609>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-commander (1.1.2-0jammy) jammy; urgency=high

  * Fix formatting errors
  * Add utility functions to Python PSI: add/detach objects, apply_planning_scene() (#2532 <https://github.com/ros-planning/moveit/issues/2532>)
  * add get_active_joint_names (#2533 <https://github.com/ros-planning/moveit/issues/2533>)
  * Add get_current_state_bounded(), get_current_state(), enforce_bounds() to MoveGroupCommander (#2356 <https://github.com/ros-planning/moveit/issues/2356>)
  * Contributors: Felix von Drigalski, Peter Mitrano, Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-commander (1.1.1-0jammy) jammy; urgency=high



## ros-one-moveit-commander 1.1.16-50noble.20260128.2336

=== debian/changelog ===
ros-one-moveit-commander (1.1.16-50noble.20260128.2336) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Wed, 28 Jan 2026 23:36:50 +0000

ros-one-moveit-commander (1.1.16-0noble) noble; urgency=high

  * Fix type error
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-commander (1.1.15-0noble) noble; urgency=high

  * New implementation for computeCartesianPath (#3618 <https://github.com/ros-planning/moveit/issues/3618>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-commander (1.1.14-0noble) noble; urgency=high

  * Fixed order of return values in doc string of compute_cartesian_path() (#3574 <https://github.com/ros-planning/moveit/issues/3574>)
  * Augment Python PlanningSceneInterface API (#3534 <https://github.com/ros-planning/moveit/issues/3534>)
  * Add PlanningSceneInterface::clear() (#3512 <https://github.com/ros-planning/moveit/issues/3512>)
  * Contributors: Aaryan Murgunde, IrvingF7, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-commander (1.1.13-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-commander (1.1.12-0noble) noble; urgency=high

  * Rename argument of execute() to trajectory (#3392 <https://github.com/ros-planning/moveit/issues/3392>)
  * Disentangle joint name methods, add group_state (#3345 <https://github.com/ros-planning/moveit/issues/3345>)
  * Fix plan() and add corresponding unit tests (#3302 <https://github.com/ros-planning/moveit/issues/3302>)
  * Contributors: Michael Görner, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-commander (1.1.11-0noble) noble; urgency=high

  * Fix some consistency issues in PlanningScene handling (#3298 <https://github.com/ros-planning/moveit/issues/3298>)
    
      * Allow Plane collision-object creation from rviz
      * Allow to create cone collision-object from python PSI
      * rviz: Visualize PLANE shapes as a large, thin box
    
  * Merge fixes+improvements to ``PlanningScene`` editing in rviz: #3263 <https://github.com/ros-planning/moveit/issues/3263>, #3264 <https://github.com/ros-planning/moveit/issues/3264>, #3296 <https://github.com/ros-planning/moveit/issues/3296>
  * ``moveit_commander.PlanningSceneInterface``: use synchronous interface by default
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-commander (1.1.10-0noble) noble; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * Validate JointState argument to moveit_commander.set_joint_value_target (#3187 <https://github.com/ros-planning/moveit/issues/3187>)
  * Adjust python PSI to new CollisionObject.pose interface (#3176 <https://github.com/ros-planning/moveit/issues/3176>)
  * moveit_commander: make current joint state copy-paste-able (#3133 <https://github.com/ros-planning/moveit/issues/3133>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Filip Sund, Michael Görner, Stephanie Eng

 -- Michael Görner <me@v4hn.de>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-commander (1.1.9-0noble) noble; urgency=high

  * Fix move_group_commander.go(tuple(...)) (#3066 <https://github.com/ros-planning/moveit/issues/3066>)
  * Contributors: Hongzhuo Liang, Michael Görner

 -- Michael Görner <me@v4hn.de>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-commander (1.1.8-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-commander (1.1.7-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-commander (1.1.6-0noble) noble; urgency=high

  * Use relative imports (#2912 <https://github.com/ros-planning/moveit/issues/2912>)
  * Fix trajectory constraints (#2429 <https://github.com/ros-planning/moveit/issues/2429>)
  * Fix ``get_planning_pipeline_id`` in Python MGI (#2753 <https://github.com/ros-planning/moveit/issues/2753>)
  * Contributors: Felix von Drigalski, Kevin Chang, Michael Görner, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-commander (1.1.5-0noble) noble; urgency=high

  * Allow selecting planning pipeline in MotionSequenceAction (#2657 <https://github.com/ros-planning/moveit/issues/2657>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-commander (1.1.4-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-commander (1.1.3-0noble) noble; urgency=high

  * Add planning_pipeline_id setting to Python MGI (#2622 <https://github.com/ros-planning/moveit/issues/2622>)
  * Add clear() to Python PSI, allow empty call to remove_attached_object (#2609 <https://github.com/ros-planning/moveit/issues/2609>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-commander (1.1.2-0noble) noble; urgency=high

  * Fix formatting errors
  * Add utility functions to Python PSI: add/detach objects, apply_planning_scene() (#2532 <https://github.com/ros-planning/moveit/issues/2532>)
  * add get_active_joint_names (#2533 <https://github.com/ros-planning/moveit/issues/2533>)
  * Add get_current_state_bounded(), get_current_state(), enforce_bounds() to MoveGroupCommander (#2356 <https://github.com/ros-planning/moveit/issues/2356>)
  * Contributors: Felix von Drigalski, Peter Mitrano, Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-commander (1.1.1-0noble) noble; urgency=high



## ros-one-moveit-commander 1.1.16-51jammy.20260301.2317

=== debian/changelog ===
ros-one-moveit-commander (1.1.16-51jammy.20260301.2317) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Sun, 01 Mar 2026 23:17:30 +0000

## ros-one-moveit-commander 1.1.16-51noble.20260301.2310

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_commander)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

catkin_install_python(
  PROGRAMS bin/${PROJECT_NAME}_cmdline.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

add_subdirectory(test)

=== debian/changelog ===
ros-one-moveit-commander (1.1.16-51noble.20260301.2310) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Sun, 01 Mar 2026 23:10:13 +0000

=== debian/control ===
Source: ros-one-moveit-commander
Section: misc
Priority: optional
Maintainer: Michael Görner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-pkg, python3-dev, ros-one-catkin
Homepage: http://moveit.ai
Standards-Version: 3.9.2

Package: ros-one-moveit-commander
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, python3-pyassimp, ros-one-geometry-msgs, ros-one-moveit-msgs, ros-one-moveit-ros-planning-interface, ros-one-rospy, ros-one-sensor-msgs, ros-one-shape-msgs, ros-one-tf
Description: Python interfaces to MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-commander//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
